Get an accounting-led invoice payment request
Related endpoints
POST /integrations/accounting/invoice-payment-requests— Create an accounting-led invoice payment request
Common errors
404 resource_missing— the referenced resource does not exist or is not visible to your key.
x-api-key<token>
Your RevKeen API key (powered by Unkey). Get it from Dashboard > Settings > API Keys. Use rk_sandbox_* for test mode and rk_live_* for production.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
Stuck on an error response? Ask the RevKeen assistant to explain it.
curl "https://api.revkeen.com/v2/integrations/accounting/invoice-payment-requests/00000000-0000-0000-0000-000000000000" \
-H "x-api-key: $REVKEEN_API_KEY"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"object": "accounting_invoice_payment_request",
"merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",
"provider": "string",
"connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",
"provider_account_id": "string",
"external_invoice_id": "string",
"external_invoice_number": "string",
"external_invoice_status": "string",
"external_invoice_url": "string",
"external_invoice_issued_at": "string",
"external_invoice_due_at": "string",
"external_invoice_updated_at": "string",
"external_customer_id": "string",
"external_customer_reference": "string",
"external_customer_name": "string",
"external_customer_email": "string",
"amount_due_minor": 0,
"total_amount_minor": 0,
"amount_paid_minor": 0,
"currency": "string",
"checkout_session_id": "119f7182-f55f-49cd-a2a6-13462e02671c",
"checkout_url": "string",
"checkout_expires_at": "string",
"checkout_success_url": "string",
"checkout_cancel_url": "string",
"checkout_allowed_methods": [
"string"
],
"status": "string",
"sync_status": "string",
"idempotency_key": "string",
"payload_fingerprint": "string",
"created_at": "string",
"updated_at": "string"
},
"requestId": "string"
}{
"error": "string"
}